Subject: bug#58098: Improve composition rules for Gumrukhi

From: समीर सिंह Sameer Singh <[email-masked]>
Date: Tue, 27 Sep 2022 19:22:09 +0530

>
> I don't understand this part: why should we require #x1FA67?  Did you
> perhaps mean this:
>
>       (chess-symbol . [#x1FA00 #x1FA67])

Isn't the script-representative-chars used to improve font selection by
requesting more characters?
So does the specific character requested have any effect? because I chose
it randomly.

We already have the setup for chess-symbol, below this line where you
> are making changes.  Is it not enough for some reason?
>

Prior to this patch the chess symbol block was not rendered on my machine
despite having its font (Noto Sans Symbols2)

On Tue, Sep 27, 2022 at 6:43 PM Eli Zaretskii <[email-masked]> wrote:

> > From: समीर सिंह Sameer Singh
> >  <[email-masked]>
> > Date: Tue, 27 Sep 2022 01:30:31 +0530
> >
> > --- a/lisp/international/fontset.el
> > +++ b/lisp/international/fontset.el
> > @@ -300,7 +300,8 @@ font-encoding-charset-alist
> >       (ottoman-siyaq-number #x1ed01)
> >       (mahjong-tile #x1F000)
> >       (domino-tile #x1F030)
> > -        (emoji #x1F300 #x1F600)))
> > +        (emoji #x1F300 #x1F600)
> > +        (chess-symbol #x1FA00 #x1FA67)))
>
> I don't understand this part: why should we require #x1FA67?  Did you
> perhaps mean this:
>
>       (chess-symbol . [#x1FA00 #x1FA67])
>
> > @@ -836,7 +837,8 @@ setup-default-fontset
> >                      tai-tham
> >                   mahjong-tile
> >                   domino-tile
> > -                    emoji))
> > +                    emoji
> > +                    chess-symbol))
>
> We already have the setup for chess-symbol, below this line where you
> are making changes.  Is it not enough for some reason?
>